UbixOS V2 2.0

Data Structures | Macros | Typedefs | Variables
inet.h File Reference
`#include <net/opt.h>`
`#include <net/def.h>`
`#include <net/ip_addr.h>`
`#include <net/ip6_addr.h>`
Include dependency graph for inet.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures
struct | in6_addr
struct | in_addr

## Macros
#define | IN6ADDR_ANY_INIT {{{0,0,0,0}}}
#define | IN6ADDR_LOOPBACK_INIT {{{0,0,0,PP_HTONL(1)}}}
#define | IN_BADCLASS(a) IP_BADCLASS(a)
#define | IN_CLASSA(a) IP_CLASSA(a)
#define | IN_CLASSA_HOST IP_CLASSA_HOST
#define | IN_CLASSA_MAX IP_CLASSA_MAX
#define | IN_CLASSA_NET IP_CLASSA_NET
#define | IN_CLASSA_NSHIFT IP_CLASSA_NSHIFT
#define | IN_CLASSB(b) IP_CLASSB(b)
#define | IN_CLASSB_HOST IP_CLASSB_HOST
#define | IN_CLASSB_MAX IP_CLASSB_MAX
#define | IN_CLASSB_NET IP_CLASSB_NET
#define | IN_CLASSB_NSHIFT IP_CLASSB_NSHIFT
#define | IN_CLASSC(c) IP_CLASSC(c)
#define | IN_CLASSC_HOST IP_CLASSC_HOST
#define | IN_CLASSC_MAX IP_CLASSC_MAX
#define | IN_CLASSC_NET IP_CLASSC_NET
#define | IN_CLASSC_NSHIFT IP_CLASSC_NSHIFT
#define | IN_CLASSD(d) IP_CLASSD(d)
#define | IN_CLASSD_HOST IP_CLASSD_HOST /* routing needn't know. */
#define | IN_CLASSD_MAX IP_CLASSD_MAX
#define | IN_CLASSD_NET IP_CLASSD_NET /* These ones aren't really */
#define | IN_CLASSD_NSHIFT IP_CLASSD_NSHIFT /* net and host fields, but */
#define | IN_EXPERIMENTAL(a) IP_EXPERIMENTAL(a)
#define | IN_LOOPBACKNET IP_LOOPBACKNET
#define | IN_MULTICAST(a) IP_MULTICAST(a)
#define | INADDR_ANY IPADDR_ANY
#define | INADDR_BROADCAST IPADDR_BROADCAST
#define | INADDR_LOOPBACK IPADDR_LOOPBACK
#define | INADDR_NONE IPADDR_NONE
#define | INET_ADDRSTRLEN IP4ADDR_STRLEN_MAX
#define | s6_addr un.u8_addr

## Typedefs
typedef u32_t | in_addr_t

## Variables
const struct in6_addr | in6addr_any

## Detailed Description

This file (together with sockets.h) aims to provide structs and functions from

- arpa/inet.h
- netinet/in.h

Definition in file inet.h.

## Macro Definition Documentation

## ◆ IN6ADDR_ANY_INIT

#define IN6ADDR_ANY_INIT {{{0,0,0,0}}}

This macro can be used to initialize a variable of type struct in6_addr to the IPv6 wildcard address.

Definition at line 81 of file inet.h.

## ◆ IN6ADDR_LOOPBACK_INIT

#define IN6ADDR_LOOPBACK_INIT {{{0,0,0,PP_HTONL(1)}}}

This macro can be used to initialize a variable of type struct in6_addr to the IPv6 loopback address.

Definition at line 84 of file inet.h.

## ◆ IN_BADCLASS

#define IN_BADCLASS | ( |  | a | ) | IP_BADCLASS(a)

Definition at line 119 of file inet.h.

## ◆ IN_CLASSA

#define IN_CLASSA | ( |  | a | ) | IP_CLASSA(a)

Definition at line 92 of file inet.h.

## ◆ IN_CLASSA_HOST

#define IN_CLASSA_HOST IP_CLASSA_HOST

Definition at line 95 of file inet.h.

## ◆ IN_CLASSA_MAX

#define IN_CLASSA_MAX IP_CLASSA_MAX

Definition at line 96 of file inet.h.

## ◆ IN_CLASSA_NET

#define IN_CLASSA_NET IP_CLASSA_NET

Definition at line 93 of file inet.h.

## ◆ IN_CLASSA_NSHIFT

#define IN_CLASSA_NSHIFT IP_CLASSA_NSHIFT

Definition at line 94 of file inet.h.

## ◆ IN_CLASSB

#define IN_CLASSB | ( |  | b | ) | IP_CLASSB(b)

Definition at line 98 of file inet.h.

## ◆ IN_CLASSB_HOST

#define IN_CLASSB_HOST IP_CLASSB_HOST

Definition at line 101 of file inet.h.

## ◆ IN_CLASSB_MAX

#define IN_CLASSB_MAX IP_CLASSB_MAX

Definition at line 102 of file inet.h.

## ◆ IN_CLASSB_NET

#define IN_CLASSB_NET IP_CLASSB_NET

Definition at line 99 of file inet.h.

## ◆ IN_CLASSB_NSHIFT

#define IN_CLASSB_NSHIFT IP_CLASSB_NSHIFT

Definition at line 100 of file inet.h.

## ◆ IN_CLASSC

#define IN_CLASSC | ( |  | c | ) | IP_CLASSC(c)

Definition at line 104 of file inet.h.

## ◆ IN_CLASSC_HOST

#define IN_CLASSC_HOST IP_CLASSC_HOST

Definition at line 107 of file inet.h.

## ◆ IN_CLASSC_MAX

#define IN_CLASSC_MAX IP_CLASSC_MAX

Definition at line 108 of file inet.h.

## ◆ IN_CLASSC_NET

#define IN_CLASSC_NET IP_CLASSC_NET

Definition at line 105 of file inet.h.

## ◆ IN_CLASSC_NSHIFT

#define IN_CLASSC_NSHIFT IP_CLASSC_NSHIFT

Definition at line 106 of file inet.h.

## ◆ IN_CLASSD

#define IN_CLASSD | ( |  | d | ) | IP_CLASSD(d)

Definition at line 110 of file inet.h.

## ◆ IN_CLASSD_HOST

#define IN_CLASSD_HOST IP_CLASSD_HOST /* routing needn't know. */

Definition at line 113 of file inet.h.

## ◆ IN_CLASSD_MAX

#define IN_CLASSD_MAX IP_CLASSD_MAX

Definition at line 114 of file inet.h.

## ◆ IN_CLASSD_NET

#define IN_CLASSD_NET IP_CLASSD_NET /* These ones aren't really */

Definition at line 111 of file inet.h.

## ◆ IN_CLASSD_NSHIFT

#define IN_CLASSD_NSHIFT IP_CLASSD_NSHIFT /* net and host fields, but */

Definition at line 112 of file inet.h.

## ◆ IN_EXPERIMENTAL

#define IN_EXPERIMENTAL | ( |  | a | ) | IP_EXPERIMENTAL(a)

Definition at line 118 of file inet.h.

## ◆ IN_LOOPBACKNET

#define IN_LOOPBACKNET IP_LOOPBACKNET

Definition at line 121 of file inet.h.

## ◆ IN_MULTICAST

#define IN_MULTICAST | ( |  | a | ) | IP_MULTICAST(a)

Definition at line 116 of file inet.h.

## ◆ INADDR_ANY

#define INADDR_ANY IPADDR_ANY

0.0.0.0

Definition at line 75 of file inet.h.

## ◆ INADDR_BROADCAST

#define INADDR_BROADCAST IPADDR_BROADCAST

255.255.255.255

Definition at line 77 of file inet.h.

## ◆ INADDR_LOOPBACK

#define INADDR_LOOPBACK IPADDR_LOOPBACK

127.0.0.1

Definition at line 73 of file inet.h.

## ◆ INADDR_NONE

#define INADDR_NONE IPADDR_NONE

255.255.255.255

Definition at line 71 of file inet.h.

## ◆ INET_ADDRSTRLEN

#define INET_ADDRSTRLEN IP4ADDR_STRLEN_MAX

Definition at line 125 of file inet.h.

## ◆ s6_addr

#define s6_addr un.u8_addr

Definition at line 67 of file inet.h.

## Typedef Documentation

## ◆ in_addr_t

typedef u32_t in_addr_t

Definition at line 55 of file inet.h.

## Variable Documentation

## ◆ in6addr_any

const struct in6_addr in6addr_any

This variable is initialized by the system to contain the wildcard IPv6 address.